## c-blosc2 2.12.0+ds

=== debian/changelog ===
c-blosc2 (2.12.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update symbol file.
  * Update the d/copyright file.
  * debian/patches:
    - Refresh all patches.
  * debian/control:
    - Add build dependency on libgrok-dev.
  * Upload to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Dec 2023 14:39:17 +0000

c-blosc2 (2.11.2+ds-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #1038443).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 18 Jun 2023 15:16:54 +0000
