## c-blosc2 2.13.1+ds

=== debian/changelog ===
c-blosc2 (2.13.1+ds-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:46:33 +0000

c-blosc2 (2.13.1+ds-1.1ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Patch set_values in blosc2 to just call memcpy if BLOSC_STRICT_ALIGN is
      set, fixing build on Ubuntu armhf.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Mar 2024 15:25:14 +0100

c-blosc2 (2.13.1+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062033

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 05:33:18 +0000

c-blosc2 (2.13.1+ds-1ubuntu1) noble; urgency=medium

  * Patch set_values in blosc2 to just call memcpy if BLOSC_STRICT_ALIGN is
    set, fixing build on Ubuntu armhf.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 12 Feb 2024 10:09:09 +1300

c-blosc2 (2.13.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Jan 2024 12:02:41 +0000

c-blosc2 (2.12.0+ds-2) unstable; urgency=medium

  * Update dates in d/copyright.
  * debian/control:
    - Remove unneeded dependency on libgrok-dev.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Jan 2024 10:52:13 +0000
