=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: c-blosc2
 Priority: optional
 Section: libs
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
                dh-cmake-compat (= 1),
                dh-sequence-cmake,
                dh-sequence-sphinxdoc,
                dh-sequence-pkgkde-symbolshelper,
-               libgrok-dev,
                liblz4-dev,
                pkg-kde-tools,
                zlib1g-dev,
@@ -41,7 +41,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libblosc2-2 (= ${binary:Version}),
+Depends: libblosc2-2t64 (= ${binary:Version}),
          ${misc:Depends},
          ${sphinxdoc:Depends}
 Description: ${source:Synopsis} (development files)
@@ -50,7 +50,10 @@
  This package contains the development files required to build programs against
  Blosc2.
 
-Package: libblosc2-2
+Package: libblosc2-2t64
+Provides: ${t64:Provides}
+Replaces: libblosc2-2
+Breaks: libblosc2-2 (<< ${source:Version})
 Multi-Arch: same
 Architecture: any
 Depends: ${shlibs:Depends},
