=== debian/changelog ===
c-blosc2 (2.14.4+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Jun 2024 11:14:40 +0000

c-blosc2 (2.14.4+ds-1) experimental; urgency=medium

  [ Michael R. Crusoe ]
  * New upstream version
  * Removed two patches applied upstream: 0002-Fixes-for-CVE-2024-3204-
    and-CVE-2024-3203.patch and 0004-Fix-bus-error-on-armhf.patch

  [ Antonio Valentino ]
  * debian/patches:
    - Renumber remaining patches.
  * Update d/copyright.
  * Update symbol file.
  * SO version bump.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 May 2024 20:10:17 +0000

c-blosc2 (2.13.1+ds-5) unstable; urgency=medium

  * debian/patches:
    - New 0004-Fix-bus-error-on-armhf.patch (Closes: #1063358).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 10 May 2024 14:03:12 +0000

c-blosc2 (2.13.1+ds-4) unstable; urgency=medium

  * debian/patches:
    - New 0003-Missing-headers.patch (Closes: #1070747).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 10 May 2024 07:53:21 +0000

c-blosc2 (2.13.1+ds-3) unstable; urgency=medium

  * debian/patches:
    - New Fixes-for-CVE-2024-3204-and-CVE-2024-3203,
      for fixing two critical security issues.
      Backported from upstream
      https://github.com/Blosc/c-blosc2/commit/892f6d9c.
  * Rely on pre-initialized dpkg-architecture variables.
  * Drop changes in experimental and upload a security fix
    to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Apr 2024 15:56:04 +0000

c-blosc2 (2.13.1+ds-2) experimental; urgency=medium

  * Update symbol file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Feb 2024 08:19:10 +0000
