=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: c-blosc2
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 13),
                cmake,
                dh-cmake-compat (= 1),
                dh-sequence-cmake,
@@ -41,19 +41,17 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libblosc2-2t64 (= ${binary:Version}),
-         ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends: libblosc2-3 (= ${binary:Version}),
+         ${misc:Depends}
 Description: ${source:Synopsis} (development files)
  ${source:Extended-Description}
  .
  This package contains the development files required to build programs against
  Blosc2.
 
-Package: libblosc2-2t64
+Package: libblosc2-3
+X-Time64-Compat: libblosc2-3
 Provides: ${t64:Provides}
-Replaces: libblosc2-2
-Breaks: libblosc2-2 (<< ${source:Version})
 Multi-Arch: same
 Architecture: any
 Depends: ${shlibs:Depends},
