## c-blosc2 2.15.0+ds

=== debian/changelog ===
c-blosc2 (2.15.0+ds-1) unstable; urgency=medium

  * Upload to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 14 Jul 2024 18:23:22 +0000

c-blosc2 (2.15.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update d/copyright.
  * debian/patches:
    - Drop 0002-Missing-headers.patch, applied upstream.
  * Update the package according to the new soname.
  * Update symbol file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 06 Jul 2024 09:52:29 +0000
