=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libblosc2-3 (= ${binary:Version}),
+Depends: libblosc2-4 (= ${binary:Version}),
          ${misc:Depends}
 Description: ${source:Synopsis} (development files)
  ${source:Extended-Description}
@@ -49,8 +49,8 @@
  This package contains the development files required to build programs against
  Blosc2.
 
-Package: libblosc2-3
-X-Time64-Compat: libblosc2-3
+Package: libblosc2-4
+X-Time64-Compat: libblosc2-4
 Provides: ${t64:Provides}
 Multi-Arch: same
 Architecture: any
