=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 CXXFLAGS+=$(CPPFLAGS)
 
 UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+include /usr/share/dpkg/architecture.mk
 
 # Testsuite started to fail on mips64el, possibly related to switch
 # from GCC-10 to GCC-11. Tested that both -O1 and -O3 optimization
