## c-blosc2 2.15.1+ds

=== debian/changelog ===
c-blosc2 (2.15.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update symbol file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 30 Jul 2024 20:16:34 +0000
