## c-blosc2 2.15.2+ds

=== debian/changelog ===
c-blosc2 (2.15.2+ds-5) unstable; urgency=medium

  * Team upload
  * Revert "Restrict the list of supported platforms"

 -- Bastian Germann <bage@eberlin.debian.org>  Fri, 03 Jan 2025 20:10:16 +0000

c-blosc2 (2.15.2+ds-4) unstable; urgency=medium

  * debian/control:
    - Update the architecture field of libblosc2-dev.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 26 Dec 2024 14:05:30 +0000

c-blosc2 (2.15.2+ds-3) unstable; urgency=medium

  * debian/control:
    - Restrict the list of supported platforms (exclude mips64el).
  * debian/patches:
    - Revert 0002-Fix-broken-tests-on-mips64el.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Thu, 26 Dec 2024 10:03:33 +0000

c-blosc2 (2.15.2+ds-2) unstable; urgency=medium

  * debian/patches:
    - New 0002-Fix-broken-tests-on-mips64el.patch.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 20 Dec 2024 18:37:11 +0000

c-blosc2 (2.15.2+ds-1) unstable; urgency=medium

  * New upstream version.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 04 Dec 2024 01:35:58 +0000
