=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-breathe <!nodoc>,
                python3-pydata-sphinx-theme <!nodoc>,
                python3-sphinx <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://blosc.org/
 Vcs-Browser: https://salsa.debian.org/science-team/c-blosc2
