=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,6 @@
 
 UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 include /usr/share/dpkg/architecture.mk
-
-# Testsuite started to fail on mips64el, possibly related to switch
-# from GCC-10 to GCC-11. Tested that both -O1 and -O3 optimization
-# worked. -O2 was successful only when disabling inline functions.
-# See bug #1000953
-ifeq ($(DEB_HOST_ARCH),mips64el)
-	export DEB_CFLAGS_MAINT_APPEND = -O1
-endif
 
 %:
 	dh $@
