=== debian/changelog ===
c-blosc2 (2.16.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Drop no longer needed entries in Files-Excluded.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Feb 2025 18:01:50 +0000

c-blosc2 (2.15.2+ds-6) unstable; urgency=medium

  * Update dates in d/copyright.
  * debian/rules:
    - Skip tests on mips64el.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 25 Jan 2025 17:59:06 +0000
