## c-blosc2 2.17.0+ds

=== debian/changelog ===
c-blosc2 (2.17.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update symbol file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Mar 2025 11:06:40 +0000
